## tikzit 1.0+ds

=== tikzit/src/common/test/Makefile ===
OBJC = gcc -MMD -MP -DSTAND_ALONE -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -fno-strict-aliasing -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -O0 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -fgnu-runtime -fconstant-string-class=NSConstantString -I. -I.. -I/users/alemer/GNUstep/Library/Headers -std=c99 -D_GNU_SOURCE -rdynamic -fgnu-runtime -L/users/alemer/GNUstep/Library/Libraries -L/usr/local/lib64 -L/usr/lib64 -lgnustep-base -lpthread -lobjc -lm

maths_test_objects = test.m maths.m ../util.m
color_test_objects = test.m color.m ../ColorRGB.m ../util.m ../BasicMapTable.m ../RColor.m

test: maths-test color-test
	./maths-test
	./color-test

maths-test: $(maths_test_objects)
	$(OBJC) $(maths_test_objects) -o $@

color-test: $(color_test_objects)
	$(OBJC) $(color_test_objects) -o $@

## tikzit 1.0%2Bds

=== debian/control ===
Source: tikzit
Section: tex
Priority: optional
Maintainer: Gard Spreemann <gspreemann@gmail.com>
Build-Depends:
 autoconf (>= 2.60),
 automake,
 bison,
 debhelper (>= 10),
 flex,
 gobjc (>= 4.6),
 libgnustep-gui-dev (>= 0.18.0),
 libgtk2.0-dev (>= 2.18.0),
 libpoppler-glib-dev
Standards-Version: 4.1.1
Homepage: http://tikzit.sourceforge.net/
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/tikzit.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/tikzit.git

Package: tikzit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: preview-latex-style, texlive-pictures
Description: visual PGF/TikZ graph editor
 TikZiT is a graphical tool for editing graphs written in PGF/TikZ.
 .
 TikZiT helps rapidly create and edit node-and-edge style graphs.
 It was originally created to aid in the typesetting of "dot" diagrams
 of interacting quantum observables (see arXiv:0906.4725), but can be
 used as a general graph editing program.

## tikzit 1.0+ds

=== debian/changelog ===
tikzit (1.0+ds-3) unstable; urgency=medium

  * Build-depend on libgnustep-base-dev instead of libgnustep-gui-dev
    (Closes: #883544).
  * Correct libgnustep-base-dev dependency version per upstream.
  * Bump standards-version to 4.1.3. No changes needed.

 -- Gard Spreemann <gspreemann@gmail.com>  Mon, 08 Jan 2018 14:05:45 +0100

tikzit (1.0+ds-2) unstable; urgency=medium

  * Recommend preview-latex-style. Needed for previews.
  * Bump standards-version to 4.1.1. No changes needed.
  * Remove dh-autoreconf build-dep (no needed since dh 10).

 -- Gard Spreemann <gspreemann@gmail.com>  Thu, 09 Nov 2017 16:34:27 +0100

tikzit (1.0+ds-1) unstable; urgency=medium

  * Initial release (Closes: #852376)

 -- Gard Spreemann <gspreemann@gmail.com>  Tue, 24 Jan 2017 01:49:49 +0100
 

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
  autoconf (>= 2.60),
  automake,
  bison,
- debhelper (>= 10),
+ debhelper (>= 11),
  flex,
  gobjc (>= 4.6),
- libgnustep-gui-dev (>= 0.18.0),
+ libgnustep-base-dev (>= 1.18.0),
  libgtk2.0-dev (>= 2.18.0),
  libpoppler-glib-dev
-Standards-Version: 4.1.1
-Homepage: http://tikzit.sourceforge.net/
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/tikzit.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/tikzit.git
+Standards-Version: 4.1.5
+Homepage: https://tikzit.github.io/
+Vcs-Browser: https://salsa.debian.org/debian/tikzit
+Vcs-Git: https://salsa.debian.org/debian/tikzit.git
 
 Package: tikzit
 Architecture: any

## tikzit 2.0

=== debian/changelog ===
tikzit (2.0-1) unstable; urgency=medium

  * Completely rewritten upstream version.
    - The GUI toolkit has changed to Qt.
    - No DFSG-removed files in the source tree anymore.
    - All Debian patches dropped.
  * VCS on salsa.
  * New project homepage.
  * Debhelper 11.
  * Bump standards-version to 4.2.1. No changes needed.
  * Introduce watch file.
  * Don't recommend preview-latex-style, as there currently is no PDF
    preview functionality anyway (slated for 2.1).
  * Add a man page.

 -- Gard Spreemann <gspreemann@gmail.com>  Tue, 23 Oct 2018 17:51:00 +0200

## tikzit 2.0+git20181101.87b50b

=== debian/changelog ===
tikzit (2.0+git20181101.87b50b-1) unstable; urgency=medium

  * Advance a few very minor commits upstream:
    - Man page upstreamed.
    - Categories added to .desktop file.

 -- Gard Spreemann <gspreemann@gmail.com>  Thu, 01 Nov 2018 12:01:25 +0100

=== debian/control ===
Source: tikzit
Section: tex
Priority: optional
Maintainer: Gard Spreemann <gspreemann@gmail.com>
Build-Depends:
 bison,
 debhelper (>= 11),
 flex,
 qt5-qmake,
 qtbase5-dev
Standards-Version: 4.2.1
Homepage: https://tikzit.github.io/
Vcs-Browser: https://salsa.debian.org/debian/tikzit
Vcs-Git: https://salsa.debian.org/debian/tikzit.git

Package: tikzit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: texlive-pictures
Description: visual PGF/TikZ graph editor
 TikZiT is a graphical tool for editing graphs written in PGF/TikZ.
 .
 TikZiT helps rapidly create and edit node-and-edge style graphs.
 It was originally created to aid in the typesetting of "dot" diagrams
 of interacting quantum observables (see arXiv:0906.4725), but can be
 used as a general graph editing program.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT = qt5

%:
	dh $@

# The tests require X.
override_dh_auto_test:

## tikzit 2.1+git20190109.97c2a2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

project(tikzit LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
#set(CMAKE_AUTOUIC ON)

find_package(Qt5 REQUIRED COMPONENTS Core Gui Widgets Network)
find_package(BISON)
find_package(FLEX)

# use extra-cmake-modules to find poppler library
find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_FIND_MODULE_DIR})
find_package(Poppler REQUIRED COMPONENTS Core Qt5)

include_directories(
    ${PROJECT_SOURCE_DIR}
    ${PROJECT_SOURCE_DIR}/src
    ${PROJECT_SOURCE_DIR}/src/data
    ${PROJECT_SOURCE_DIR}/src/gui
)

BISON_TARGET(PARSER src/data/tikzparser.y ${CMAKE_CURRENT_BINARY_DIR}/tikzparser.parser.cpp)
FLEX_TARGET(LEXER src/data/tikzlexer.l ${CMAKE_CURRENT_BINARY_DIR}/tikzlexer.lexer.cpp)
ADD_FLEX_BISON_DEPENDENCY(LEXER PARSER)
cmake_policy(SET CMP0071 NEW) # run AUTOXXX on generated files ('NEW' default behaviour)

set(SOURCES
    src/data/edge.cpp
    src/data/graph.cpp
    src/data/graphelementdata.cpp
    src/data/graphelementproperty.cpp
    src/data/node.cpp
    src/data/style.cpp
    src/data/stylelist.cpp
    src/data/tikzassembler.cpp
    src/data/tikzdocument.cpp
    src/data/tikzstyles.cpp
    src/gui/commands.cpp
    src/gui/edgeitem.cpp
    src/gui/mainmenu.cpp
    src/gui/mainwindow.cpp
    src/gui/nodeitem.cpp
    src/gui/previewwindow.cpp
    src/gui/propertypalette.cpp
    src/gui/styleeditor.cpp
    src/gui/stylepalette.cpp
    src/gui/tikzscene.cpp
    src/gui/tikzview.cpp
    src/gui/toolpalette.cpp
    src/gui/undocommands.cpp
    src/main.cpp
    src/tikzit.cpp
    src/util.cpp
)

set(HEADERS
    src/data/edge.h
    src/data/graph.h
    src/data/graphelementdata.h
    src/data/graphelementproperty.h
    src/data/node.h
    src/data/style.h
    src/data/stylelist.h
    src/data/tikzassembler.h
    src/data/tikzdocument.h
    src/data/tikzparserdefs.h
    src/data/tikzstyles.h
    src/gui/commands.h
    src/gui/edgeitem.h
    src/gui/mainmenu.h
    src/gui/mainwindow.h
    src/gui/nodeitem.h
    src/gui/previewwindow.h
    src/gui/propertypalette.h
    src/gui/styleeditor.h
    src/gui/stylepalette.h
    src/gui/tikzscene.h
    src/gui/tikzview.h
    src/gui/toolpalette.h
    src/gui/undocommands.h
    src/tikzit.h
    src/util.h
)

set(FORMS
    src/gui/mainmenu.ui
    src/gui/mainwindow.ui
    src/gui/previewwindow.ui
    src/gui/propertypalette.ui
    src/gui/styleeditor.ui
    src/gui/stylepalette.ui
)

qt5_wrap_ui(FORM_HEADERS ${FORMS})
qt5_add_resources(QT_RESOURCES tikzit.qrc)



add_executable(tikzit
    ${SOURCES}
    ${HEADERS}
    ${FORM_HEADERS}
    ${FLEX_LEXER_OUTPUTS}
    ${BISON_PARSER_OUTPUTS}
    ${QT_RESOURCES})

target_link_libraries(${PROJECT_NAME}
    Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Network
    ${Poppler_LIBRARIES})

=== debian/changelog ===
tikzit (2.1+git20190109.97c2a2-1) unstable; urgency=medium

  * New upstream version.
    - Preview of compiled PDF.
    - Export diagrams as images or PDFs.
    - Miscellaneous minor features.
  * Debhelper 12.
  * Standards-version 4.3.0.1. No changes needed.
  * Advance one upstream commit from release for correct version number.

 -- Gard Spreemann <gspreemann@gmail.com>  Wed, 09 Jan 2019 08:39:30 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,13 @@
 Maintainer: Gard Spreemann <gspreemann@gmail.com>
 Build-Depends:
  bison,
- debhelper (>= 11),
+ debhelper (>= 12),
  flex,
+ libpoppler-dev,
+ libpoppler-qt5-dev,
  qt5-qmake,
  qtbase5-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0.1
 Homepage: https://tikzit.github.io/
 Vcs-Browser: https://salsa.debian.org/debian/tikzit
 Vcs-Git: https://salsa.debian.org/debian/tikzit.git
@@ -16,7 +18,7 @@
 Package: tikzit
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: texlive-pictures
+Recommends: texlive-latex-base, texlive-pictures
 Description: visual PGF/TikZ graph editor
  TikZiT is a graphical tool for editing graphs written in PGF/TikZ.
  .

## tikzit 2.1.1

=== debian/changelog ===
tikzit (2.1.1-1) unstable; urgency=medium

  * New upstream version with bugfixes.

 -- Gard Spreemann <gspreemann@gmail.com>  Sat, 12 Jan 2019 08:42:08 +0100

## tikzit 2.1.2

=== debian/changelog ===
tikzit (2.1.2-1) unstable; urgency=medium

  * New upstream version with minor bugfixes:
  * Package description updated after suggestion by upstream.

 -- Gard Spreemann <gspreemann@gmail.com>  Thu, 17 Jan 2019 10:06:57 +0100

## tikzit 2.1.3

=== debian/changelog ===
tikzit (2.1.3-1) unstable; urgency=medium

  * New upstream version:
    - Merge nodes with ctrl + m.
    - Display contents of label={...} property above nodes.
    - Fixed ctrl key bug for edge bending with the keyboard.
  * Remove leftover stuff in d/clean.

 -- Gard Spreemann <gspreemann@gmail.com>  Fri, 25 Jan 2019 11:38:43 +0100

## tikzit 2.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,24 +25,32 @@
 BISON_TARGET(PARSER src/data/tikzparser.y ${CMAKE_CURRENT_BINARY_DIR}/tikzparser.parser.cpp)
 FLEX_TARGET(LEXER src/data/tikzlexer.l ${CMAKE_CURRENT_BINARY_DIR}/tikzlexer.lexer.cpp)
 ADD_FLEX_BISON_DEPENDENCY(LEXER PARSER)
-cmake_policy(SET CMP0071 NEW) # run AUTOXXX on generated files ('NEW' default behaviour)
+
+
+#cmake_policy(SET CMP0071 NEW) # run AUTOXXX on generated files ('NEW' default behaviour)
 
 set(SOURCES
+    src/data/delimitedstringvalidator.cpp
     src/data/edge.cpp
     src/data/graph.cpp
     src/data/graphelementdata.cpp
     src/data/graphelementproperty.cpp
     src/data/node.cpp
+    src/data/pdfdocument.cpp
     src/data/style.cpp
     src/data/stylelist.cpp
     src/data/tikzassembler.cpp
     src/data/tikzdocument.cpp
     src/data/tikzstyles.cpp
     src/gui/commands.cpp
+    src/gui/delimitedstringitemdelegate.cpp
     src/gui/edgeitem.cpp
+    src/gui/exportdialog.cpp
+    src/gui/latexprocess.cpp
     src/gui/mainmenu.cpp
     src/gui/mainwindow.cpp
     src/gui/nodeitem.cpp
+    src/gui/preferencedialog.cpp
     src/gui/previewwindow.cpp
     src/gui/propertypalette.cpp
     src/gui/styleeditor.cpp
@@ -62,6 +70,7 @@
     src/data/graphelementdata.h
     src/data/graphelementproperty.h
     src/data/node.h
+    src/data/pdfdocument.h
     src/data/style.h
     src/data/stylelist.h
     src/data/tikzassembler.h
@@ -69,10 +78,14 @@
     src/data/tikzparserdefs.h
     src/data/tikzstyles.h
     src/gui/commands.h
+    src/gui/delimitedstringitemdelegate.h
     src/gui/edgeitem.h
+    src/gui/exportdialog.h
+    src/gui/latexprocess.h
     src/gui/mainmenu.h
     src/gui/mainwindow.h
     src/gui/nodeitem.h
+    src/gui/preferencedialog.h
     src/gui/previewwindow.h
     src/gui/propertypalette.h
     src/gui/styleeditor.h
@@ -86,8 +99,10 @@
 )
 
 set(FORMS
+    src/gui/exportdialog.ui
     src/gui/mainmenu.ui
     src/gui/mainwindow.ui
+    src/gui/preferencedialog.ui
     src/gui/previewwindow.ui
     src/gui/propertypalette.ui
     src/gui/styleeditor.ui
@@ -110,3 +125,5 @@
 target_link_libraries(${PROJECT_NAME}
     Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Network
     ${Poppler_LIBRARIES})
+
+install (TARGETS tikzit DESTINATION bin)

=== debian/changelog ===
tikzit (2.1.4-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:27:46 +0100

tikzit (2.1.4-4) unstable; urgency=medium

  * Depend on tex-common.

 -- Gard Spreemann <gspr@nonempty.org>  Sat, 28 Dec 2019 16:50:53 +0100

tikzit (2.1.4-3) unstable; urgency=medium

  * Install style file. Thanks to ael for reporting. (Closes: #947517)
  * Standards-version 4.4.1. No changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Sat, 28 Dec 2019 15:39:24 +0100

tikzit (2.1.4-2) unstable; urgency=medium

  * Add rules-requires-root: no.
  * Standards-version 4.4.0. No changes needed.
  * Change maintainer email address.
  * Recommend preview-latex-style.

 -- Gard Spreemann <gspr@nonempty.org>  Tue, 16 Jul 2019 12:35:16 +0200

tikzit (2.1.4-1) unstable; urgency=medium

  * New upstream.

 -- Gard Spreemann <gspreemann@gmail.com>  Tue, 05 Feb 2019 14:09:02 +0100

=== debian/control ===
Source: tikzit
Section: tex
Priority: optional
Maintainer: Gard Spreemann <gspr@nonempty.org>
Build-Depends:
 bison,
 debhelper (>= 12),
 flex,
 libpoppler-dev,
 libpoppler-qt5-dev,
 qt5-qmake,
 qtbase5-dev,
 tex-common,
 texlive-base,
 texlive-binaries
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://tikzit.github.io/
Vcs-Browser: https://salsa.debian.org/debian/tikzit
Vcs-Git: https://salsa.debian.org/debian/tikzit.git

Package: tikzit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tex-common
Recommends: preview-latex-style,
            texlive-latex-base,
            texlive-pictures
Description: visual PGF/TikZ graph editor
 TikZiT is a super simple GUI editor for graphs and string diagrams.
 Its native file format is a subset of PGF/TikZ, which means TikZiT
 files can be included directly in papers typeset using LaTeX.

## tikzit 2.1.5

=== debian/changelog ===
tikzit (2.1.5-1) unstable; urgency=medium

  * New upstream version.
  * Standards-version 4.5.0. No changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Tue, 14 Apr 2020 09:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  tex-common,
  texlive-base,
  texlive-binaries
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://tikzit.github.io/
 Vcs-Browser: https://salsa.debian.org/debian/tikzit

## tikzit 2.1.6

=== debian/changelog ===
tikzit (2.1.6-4) unstable; urgency=medium

  * Standards-version 4.6.2. No changes needed.
  * Rename gbp's name for the Debian branch.
  * Add patch to disable broken hotkey causing crashes. (Closes: #1027819)

 -- Gard Spreemann <gspr@nonempty.org>  Tue, 03 Jan 2023 19:36:28 +0100

tikzit (2.1.6-3) unstable; urgency=low

  * Fix watch file broken by GitHub change.
  * Standards-version 4.6.1.1. No changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Mon, 03 Oct 2022 17:39:38 +0200

tikzit (2.1.6-2) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Gard Spreemann ]
  * Fix watch file.
  * Standards-version 4.5.1, no changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Sun, 15 Aug 2021 11:38:15 +0200

tikzit (2.1.6-1) unstable; urgency=medium

  * New upstream version.
  * DH compat level 13 (new style).

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 20 Aug 2020 09:04:17 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Gard Spreemann <gspr@nonempty.org>
 Build-Depends:
  bison,
- debhelper (>= 12),
+ debhelper-compat (= 13),
  flex,
  libpoppler-dev,
  libpoppler-qt5-dev,
@@ -13,11 +13,11 @@
  tex-common,
  texlive-base,
  texlive-binaries
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://tikzit.github.io/
 Vcs-Browser: https://salsa.debian.org/debian/tikzit
-Vcs-Git: https://salsa.debian.org/debian/tikzit.git
+Vcs-Git: https://salsa.debian.org/debian/tikzit.git -b debian/sid
 
 Package: tikzit
 Architecture: any

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%,\
    uversionmangle=s/-(RC|rc)/~rc/ \
    https://github.com/tikzit/tikzit/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
